Subject: bug#37824: closed (Re: bug#37824: Args out of range error)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 20 Oct 2019 20:05:02 +0000

Your bug report

#37824: Args out of range error

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37824: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37824
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#37824: Args out of range error
From: Ergus <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Sun, 20 Oct 2019 22:03:37 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Fixed in commit: 270ca8c2735cfc7935b9e4d0b770a55138493ef3
This was a duplication of 37806.

Subject: Args out of range error
From: Takenari Shinohara <[email-masked]>
To: [email-masked]
Date: Sun, 20 Oct 2019 00:27:22 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

After building recent head, I started to see Args out of range errors
occasionally.

 sort: Args out of range: [nil :family :foundry :swidth :height
:weight :slant :underline :inverse :foreground ...], 19
I inspected a little, and I think a found the problem.
Commit f9206f34d63104c50659a15d3615646a09df87bf intorduced new
LFACE_EXTEND_INDEX enum for lface_attribute_index
in src/dispextern.h, but probably forgot to add corresponding value to
internal-lisp-face-attributes defvar,
causing an arg-out-of-range error for few face related functions.

After adding :extend keyword to internal-lisp-face-attributes the
error don't occur.

(setq internal-lisp-face-attributes
  [nil
   :family :foundry :swidth :height :weight :slant :underline :inverse
   :foreground :background :stipple :overline :strike :box
   :font :inherit :fontset :vector :extend])